org.codehaus.groovy.tools.groovydoc

## Class GroovyDocTemplateEngine

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.GroovyDocTemplateEngine

-     public class GroovyDocTemplateEngine
      extends Object

  Process Groovydoc templates.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String classTemplate)`
    `GroovyDocTemplateEngine(GroovyDocTool tool, ResourceManager resourceManager, String[] docTemplates, String[] packageTemplates, String[] classTemplates, Properties properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyBinaryResource(String template, String destFileName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyDocTemplateEngine

          public GroovyDocTemplateEngine(GroovyDocTool tool,
                                 ResourceManager resourceManager,
                                 String classTemplate)

    - #### GroovyDocTemplateEngine

          public GroovyDocTemplateEngine(GroovyDocTool tool,
                                 ResourceManager resourceManager,
                                 String[] docTemplates,
                                 String[] packageTemplates,
                                 String[] classTemplates,
                                 Properties properties)

  - ### Method Detail

    - #### copyBinaryResource

          public void copyBinaryResource(String template,
                                String destFileName)